aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordx <aryadevchavali1@gmail.com>2020-05-12 23:08:12 +0100
committerdx <aryadevchavali1@gmail.com>2020-05-12 23:08:12 +0100
commit5fca56c6cbf5b4442470807c9e599a3d179e51c3 (patch)
tree41eb7959e8d78fd24091c8a7e8d4ae5dcddaf5c6
parentdcc8f8320e8c89bf0d8f158c8c2fee5d6fd57099 (diff)
downloaddotfiles-5fca56c6cbf5b4442470807c9e599a3d179e51c3.tar.gz
dotfiles-5fca56c6cbf5b4442470807c9e599a3d179e51c3.tar.bz2
dotfiles-5fca56c6cbf5b4442470807c9e599a3d179e51c3.zip
+xmodmap and xinitrc
Theses are the files that dictate the startx routine. I don't use a login manager as I don't need one. The last statement in xinitrc represents the wm I'm using. Xmodmap maps the caps lock to hyper, which I can use as an extra layer system for sxhkdrc, allowing even more key combinations.
-rw-r--r--XServer/.Xmodmap13
-rw-r--r--XServer/.xinitrc14
2 files changed, 27 insertions, 0 deletions
diff --git a/XServer/.Xmodmap b/XServer/.Xmodmap
new file mode 100644
index 0000000..534d9f3
--- /dev/null
+++ b/XServer/.Xmodmap
@@ -0,0 +1,13 @@
+keycode 66 = Hyper_L
+clear lock
+
+clear Mod1
+clear Mod2
+clear Mod3
+clear Mod4
+clear Mod5
+add Mod1 = Alt_L Alt_R Meta_L
+add Mod2 = Num_Lock
+add Mod3 = Hyper_L
+add Mod4 = Super_L Hyper_R
+add Mod5 = ISO_Level3_Shift Mode_switch
diff --git a/XServer/.xinitrc b/XServer/.xinitrc
new file mode 100644
index 0000000..15e806c
--- /dev/null
+++ b/XServer/.xinitrc
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+setxkbmap gb -option shift:both_capslock -option caps:none;
+xmodmap ~/.Xmodmap;
+systemctl --user restart emacs;
+
+xss-lock --transfer-sleep-lock -- i3lock -n -f -e -i $HOME/Pictures/Lockscreens/milkyway.png -c 555555 &
+feh --randomize --bg-scale $HOME/Pictures/Backgrounds &
+picom &
+
+while true; do
+ $HOME/.local/scripts/reboot_services &
+ ssh-agent dwm || break
+done